import request from '@/utils/request'

// 查询油站员工信息列表
export function listPersonnel(query) {
  return request({
    url: '/station/personnel/list',
    method: 'get',
    params: query
  })
}

// 查询油站员工信息详细
export function getPersonnel(personnelId) {
  return request({
    url: '/station/personnel/' + personnelId,
    method: 'get'
  })
}

// 新增油站员工信息
export function addPersonnel(data) {
  return request({
    url: '/station/personnel',
    method: 'post',
    data: data
  })
}

// 修改油站员工信息
export function updatePersonnel(data) {
  return request({
    url: '/station/personnel',
    method: 'put',
    data: data
  })
}

// 删除油站员工信息
export function delPersonnel(personnelId) {
  return request({
    url: '/station/personnel/' + personnelId,
    method: 'delete'
  })
}

// 导出油站员工信息
export function exportPersonnel(query) {
  return request({
    url: '/station/personnel/export',
    method: 'get',
    params: query
  })
}